List Campaigns
curl --request GET \
--url https://app.famulor.de/api/user/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": 1,
"name": "New Customer Acquisition Q1 2024",
"status": "active",
"max_calls_in_parallel": 5,
"mark_complete_when_no_leads": true,
"allowed_hours_start_time": "09:00",
"allowed_hours_end_time": "18:00",
"allowed_days": ["monday", "tuesday", "wednesday", "thursday", "friday"],
"max_retries": 3,
"retry_interval": 300,
"created_at": "2024-01-10T08:00:00Z",
"updated_at": "2024-01-15T14:30:00Z"
}
]
List Campaigns
List all outbound calling campaigns in your Famulor account via API. View status, lead counts, assigned AI voice agents and progress metrics.
GET
/
api
/
user
/
campaigns
List Campaigns
This endpoint allows you to list all campaigns.
Response Fields
The API returns a direct array of campaigns:array
Array of all campaigns
Show Campaign Properties
Show Campaign Properties
integer
The ID of the campaign
string
The name of the campaign
string
The status of the campaign
integer
Maximum number of calls that can be made in parallel
boolean
Whether the campaign should be marked as complete when no leads are available
string
The start time for allowed calling hours
string
The end time for allowed calling hours
array
The weekdays on which calls are allowed
integer
Maximum number of retry attempts for failed calls
integer
Interval in seconds between retry attempts
string
Timestamp when the campaign was created
string
Timestamp when the campaign was last updated
[
{
"id": 1,
"name": "New Customer Acquisition Q1 2024",
"status": "active",
"max_calls_in_parallel": 5,
"mark_complete_when_no_leads": true,
"allowed_hours_start_time": "09:00",
"allowed_hours_end_time": "18:00",
"allowed_days": ["monday", "tuesday", "wednesday", "thursday", "friday"],
"max_retries": 3,
"retry_interval": 300,
"created_at": "2024-01-10T08:00:00Z",
"updated_at": "2024-01-15T14:30:00Z"
}
]
Related pages: Introduction and Authentication Guide, and API Integration Examples.
Was this page helpful?
⌘I

